TaxonNameBase.getReferenceYear does not return inRef year
03/14/2012 10:36 AM - Andreas Mdller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

If nomRef doesn't have a date attached but inReference does we may think about returning the inReference year. However, we need
to check first if this brakes any logic.

If we do implement it we may also use the new code within TaxonComparator.getintegerDate() - see #2858

History

#1 - 07/02/2021 07:25 PM - Andreas Miiller
- Description updated
- Priority changed from Priority12 to Priority14

- Target version changed from cdmlib - Old Next Major Release to Release 5.45

Generally this exact method does not seem to be used at all (I checked in cdmlib, vaadin and imports by call hiearchy and in TaxEditor by search for
"getReferenceYear", so it could be deleted.

But at the same time the called method Reference.getYear() is called multiple times in cdmlib (and maybe others) and it has the same problem of not
being recursive. At least for book sections (or other sections) it seems to make sense to make it recursive.

However, each call needs to be checked.

E.g. OriginalSourceFormatter.getShortCitationsDate() already does such a recursion. Maybe this can be merged then.

#2 - 07/02/2021 07:26 PM - Andreas Miiller

- Private changed from Yes to No
